### Method

# Gio Subprocess get_successful

since: 2.40

#### Declaration

    gboolean
    g_subprocess_get_successful (
      GSubprocess* subprocess
    )

#### Description

Checks if the process was “successful”. A process is considered successful if it exited cleanly with an exit status of 0, either by way of the `exit()` system call or return from main().

It is an error to call this function before `g_subprocess_wait()` has returned.

Available since: 2.40

#### Return value

Type: `gboolean`

`TRUE` if the process exited cleanly with a exit status of 0.